### Function

# GLib datalist_id_remove_multiple

since: 2.74

#### Declaration [src]

    void
    g_datalist_id_remove_multiple (
      GData** datalist,
      GQuark* keys,
      gsize n_keys
    )

#### Description [src]

Removes multiple keys from a datalist.

This is more efficient than calling `g_datalist_id_remove_data()` multiple times in a row.

Before 2.80, `n_keys` had to be not larger than 16. Now it can be larger, but note that GData does a linear search, so an excessive number of keys will perform badly.

Available since: 2.74

#### Parameters

`datalist`

  Type: `GData`

  A datalist.

  The data is owned by the caller of the function.

`keys`

  Type: An array of `GQuark`

  Keys to remove.

  The length of the array is specified in the `n_keys` argument.
  The data is owned by the caller of the function.

`n_keys`

  Type: `gsize`

  Length of `keys`.